/* $Id: pcount.h,v 1.4 2000/10/07 16:27:26 bodo Exp $ */
/*
 * Copyright (C) 1998 Bodo Bellut
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *   Authors:  Bodo Bellut (bodo@bellut.net)
 */
#ifndef PCOUNT_H
#define PCOUNT_H


typedef struct {
	Char label1[15];
	Char label2[15];
	Char label3[15];
	Char label4[15];
	int  inc1;
	int  inc2;
	int  inc3;
	int  inc4;
	Long counter1;
	Long counter2;
	Long counter3;
	Long counter4;
	int  hardware;
} PreferenceType;
	

#if ERROR_CHECK_LEVEL == ERROR_CHECK_FULL
Word Crc16CalcBlock(VoidPtr bufP, UInt count, Word crc);
#endif

#endif PCOUNT_H
